Bug 411489 - USB (MTP) connection to Android fails if Dolphin was running before plugging in
Summary: USB (MTP) connection to Android fails if Dolphin was running before plugging in
Status: CONFIRMED
Alias: None
Product: kio-extras
Classification: Frameworks and Libraries
Component: MTP (show other bugs)
Version: 21.08.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Elvis Angelaccio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-01 10:04 UTC by Jens
Modified: 2023-01-05 05:52 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens 2019-09-01 10:04:33 UTC
SUMMARY
On two computers, both running up to date KDE Neon 19.08.0, we have this situation.

STEPS TO REPRODUCE
1. With one or more Dolphin windows opened, plug your Android smartphone via USB (Samsung Galaxy S7 in our case).
2. Allow access on the device and click "Browse Files with File Manager" in the popup window.
3. Dolphin opens, but shows an error like "No media found. Check if the device is unlocked and MTP is enabled."

OTOH, if I close *all* Dolphin windows before plugging the USB cable in the smartphone and then plug it in and allow access *before* opening the next Dolphin window, access works fine and I can browse the SD card and the internal memory of the phone.

This may be libmtp related too, but I think the fact that Dolphin must not be running before plugging in the USB cable is a Dolphin issue, thus reporting to Dolphin.
Comment 1 Nate Graham 2019-09-04 17:44:47 UTC
Yep, can confirm.
Comment 2 equeim 2021-04-23 14:07:17 UTC
I have similar issue with 20.12.2 on Fedora 34, although it shows error about 'udi=/org/kde/solid/udev/...' file not existing instead.
Comment 3 Robby Engelmann 2021-08-17 18:03:34 UTC
I can confirm this issue using todays git-master versions of frameworks, plasma and gears under openSUSE Tumbleweed snapshot 20210816.
Comment 4 popov895 2021-08-23 10:39:22 UTC
I can no longer mount the MTP device even after restarting Dolphin.

SOFTWARE/OS VERSIONS

Operating System: openSUSE Tumbleweed 20210820
KDE Plasma Version: 5.22.4
KDE Frameworks Version: 5.85.0
KDE Applications Version: 21.08.0
Qt Version: 5.15.2
Graphics Platform: X11
Comment 5 popov895 2021-08-23 18:54:27 UTC
(In reply to popov895 from comment #4)
> I can no longer mount the MTP device even after restarting Dolphin.

Hmm, I don't see this issue on the latest KDE neon live image. openSUSE only?
Comment 6 popov895 2021-08-25 21:30:06 UTC
(In reply to popov895 from comment #5)
> openSUSE only?
Yep, already fixed (https://bugzilla.opensuse.org/show_bug.cgi?id=1189687).
Comment 7 Harald Sitter 2022-01-07 12:52:20 UTC
Fixed recently
Comment 8 popov895 2022-01-07 15:18:57 UTC
Which commit?
Comment 9 S. Christian Collins 2022-03-05 15:46:38 UTC
This bug is still present as described by OP in Plasma 5.24.2 (frameworks 5.91.0, Qt 5.15.3). Two months ago, Harold Sitter said there was a fix, but no mention of which Plasma version.
Comment 10 equeim 2022-03-05 15:49:32 UTC
(In reply to S. Christian Collins from comment #9)
> This bug is still present as described by OP in Plasma 5.24.2 (frameworks
> 5.91.0, Qt 5.15.3). Two months ago, Harold Sitter said there was a fix, but
> no mention of which Plasma version.

I suspect that it depends on versions of other system components. In my experience, this bug is present on KDE Neon based on Ubuntu 20.04 but doesn't occur on latest Fedora version.
Comment 11 S. Christian Collins 2022-03-05 16:04:56 UTC
Yes, I am having the bug on KDE neon.
Comment 12 Jacky Cheong 2022-05-20 11:55:41 UTC
same
Comment 13 Jacky Cheong 2022-05-20 11:56:48 UTC
(In reply to Jacky Cheong from comment #12)
> same

btw I'm using fedora 36 // kernel 5.17.7 // kde plasma 5.24.5
Comment 14 heecks 2022-06-03 11:09:53 UTC
Issue still present in Kubuntu 22.04 :
KDE Plasma 5.24.4
KDE Frameworks 5.92.2
Qt 5.15.3 
Kernel 5.15.0-33
Comment 15 Subham Poddar 2022-12-25 03:48:51 UTC
When dolphin is opened , after which you connect the device (for me Samsung Galaxy M32) , it shows "Could not access device. Make sure it is unlocked, and tap Allow on the popup on its screen. If that does not work, make sure MTP is enabled in its USB connection settings." .
And after that even closing dolphin and reconnecting usb will not work , you have to restart the system , then connect usb then open dolphin to access android storage.

Bug still persist for :
Operating System: Arch Linux
KDE Plasma Version: 5.26.4
KDE Frameworks Version: 5.101.0
Qt Version: 5.15.7
Kernel Version: 5.15.85-1-lts (64-bit)
Comment 16 Subham Poddar 2023-01-05 05:52:58 UTC
(In reply to Subham Poddar from comment #15)
> When dolphin is opened , after which you connect the device (for me Samsung
> Galaxy M32) , it shows "Could not access device. Make sure it is unlocked,
> and tap Allow on the popup on its screen. If that does not work, make sure
> MTP is enabled in its USB connection settings." .
> And after that even closing dolphin and reconnecting usb will not work , you
> have to restart the system , then connect usb then open dolphin to access
> android storage.
> 
> Bug still persist for :
> Operating System: Arch Linux
> KDE Plasma Version: 5.26.4
> KDE Frameworks Version: 5.101.0
> Qt Version: 5.15.7
> Kernel Version: 5.15.85-1-lts (64-bit)

Bug Still Persists for :-
Operating System: Arch Linux
KDE Plasma Version: 5.26.5
KDE Frameworks Version: 5.101.0
Qt Version: 5.15.7
Kernel Version: 5.15.86-1-lts (64-bit)
Graphics Platform: X11